| dppsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XDpPsu Struct Reference

The XDpPsu driver instance data. More...

## Data Fields
u32 | IsReady
| Device is initialized and ready. More...
XDpPsu_Config | Config
| Configuration structure for the DisplayPort TX core. More...
XDpPsu_SinkConfig | RxConfig
| Configuration structure for the RX device. More...
XDpPsu_LinkConfig | LinkConfig
| Configuration structure for the main link. More...
XDpPsu_BoardChar | BoardChar
| Some board characteristics information that affects link training. More...
XDpPsu_MainStreamAttributes | MsaConfig
| Configuration structure for the main stream attributes (MSA). More...
u32 | AuxDelayUs
| Amount of latency in micro- seconds to use between AUX transactions. More...
u32 | SAxiClkHz
| The clock frequency of the core instance's S_AXI_ACLK port. More...
void * | UserTimerPtr
| Pointer to a timer instance used by the custom user delay/sleep function. More...
XDpPsu_HpdEventHandler | HpdEventHandler
| Callback function for Hot- Plug-Detect (HPD) event interrupts. More...
void * | HpdEventCallbackRef
| A pointer to the user data passed to the HPD event callback function. More...
XDpPsu_HpdPulseHandler | HpdPulseHandler
| Callback function for Hot- Plug-Detect (HPD) pulse interrupts. More...
void * | HpdPulseCallbackRef
| A pointer to the user data passed to the HPD pulse callback function. More...

## Detailed Description

The XDpPsu driver instance data.

The user is required to allocate a variable of this type for every XDpPsu device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

u32 XDpPsu::AuxDelayUs

Amount of latency in micro- seconds to use between AUX transactions.

XDpPsu_BoardChar XDpPsu::BoardChar

Some board characteristics information that affects link training.

Referenced by XDpPsu_CfgTxPeLevel(), and XDpPsu_CfgTxVsLevel().

XDpPsu_Config XDpPsu::Config

Configuration structure for the DisplayPort TX core.

Referenced by DpPsu_StartLink(), XDpPsu_CfgInitialize(), XDpPsu_EnableMainLink(), XDpPsu_EstablishLink(), XDpPsu_GetRxCapabilities(), XDpPsu_HpdInterruptHandler(), XDpPsu_IicRead(), XDpPsu_InitializeTx(), XDpPsu_IsConnected(), XDpPsu_ResetPhy(), XDpPsu_SelfTest(), XDpPsu_SetDownspread(), XDpPsu_SetEnhancedFrameMode(), XDpPsu_SetLaneCount(), XDpPsu_SetLinkRate(), XDpPsu_SetMsaValues(), and XDpPsu_SetScrambler().

void* XDpPsu::HpdEventCallbackRef

A pointer to the user data passed to the HPD event callback function.

Referenced by XDpPsu_HpdInterruptHandler(), and XDpPsu_SetHpdEventHandler().

XDpPsu_HpdEventHandler XDpPsu::HpdEventHandler

Callback function for Hot- Plug-Detect (HPD) event interrupts.

Referenced by XDpPsu_HpdInterruptHandler(), and XDpPsu_SetHpdEventHandler().

void* XDpPsu::HpdPulseCallbackRef

A pointer to the user data passed to the HPD pulse callback function.

Referenced by XDpPsu_HpdInterruptHandler(), and XDpPsu_SetHpdPulseHandler().

XDpPsu_HpdPulseHandler XDpPsu::HpdPulseHandler

Callback function for Hot- Plug-Detect (HPD) pulse interrupts.

Referenced by XDpPsu_HpdInterruptHandler(), and XDpPsu_SetHpdPulseHandler().

u32 XDpPsu::IsReady

Device is initialized and ready.

Referenced by XDpPsu_AuxRead(), XDpPsu_AuxWrite(), XDpPsu_CfgInitialize(), XDpPsu_CfgMainLinkMax(), XDpPsu_CheckLinkStatus(), XDpPsu_EnableMainLink(), XDpPsu_EstablishLink(), XDpPsu_GetEdid(), XDpPsu_GetRxCapabilities(), XDpPsu_IicRead(), XDpPsu_IicWrite(), XDpPsu_InitializeTx(), XDpPsu_ResetPhy(), XDpPsu_SetDownspread(), XDpPsu_SetEnhancedFrameMode(), XDpPsu_SetLaneCount(), XDpPsu_SetLinkRate(), XDpPsu_SetMsaValues(), XDpPsu_SetScrambler(), and XDpPsu_SetVideoMode().

XDpPsu_LinkConfig XDpPsu::LinkConfig

Configuration structure for the main link.

Referenced by DpPsu_StartLink(), XDpPsu_CfgMainLinkMax(), XDpPsu_CfgMsaRecalculate(), XDpPsu_EstablishLink(), XDpPsu_GetRxCapabilities(), XDpPsu_SetDownspread(), XDpPsu_SetEnhancedFrameMode(), XDpPsu_SetLaneCount(), XDpPsu_SetLinkRate(), XDpPsu_SetScrambler(), and XDpPsu_SetVswingPreemp().

XDpPsu_MainStreamAttributes XDpPsu::MsaConfig

Configuration structure for the main stream attributes (MSA).

Referenced by XDpPsu_CfgMsaEnSynchClkMode(), XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaSetBpc(), XDpPsu_CfgMsaUseCustom(), XDpPsu_CfgMsaUseEdidPreferredTiming(), XDpPsu_CfgMsaUseStandardVideoMode(), XDpPsu_SetColorEncode(), and XDpPsu_SetMsaValues().

XDpPsu_SinkConfig XDpPsu::RxConfig

Configuration structure for the RX device.

Referenced by XDpPsu_GetRxCapabilities().

u32 XDpPsu::SAxiClkHz

The clock frequency of the core instance's S_AXI_ACLK port.

Referenced by XDpPsu_CfgInitialize(), and XDpPsu_InitializeTx().

void* XDpPsu::UserTimerPtr

Pointer to a timer instance used by the custom user delay/sleep function.